HTMLLinker(1)

NAME
HTMLLinker - tool to fix up href references in HTML files

SYNOPSIS
HTMLLinker [options] input files [ -l relocation file ] [ -d destination file ]

DESCRIPTION
HTMLLinker is a tool to fix href references in HTML files, typically API reference manuals generated by extracting the docstrings from source code by tools such as autogsdoc(1).

HTMLLinker accepts the following options (multiple input files, -l and -d options are allowed):

OPTIONS

--help
    Prints a short list of available options.

--version
    Displays version information.

--verbose
    Prints additional information while processing.

-Warn [YES|NO]
    Print additional information about unresolved links.

-LinksMarker [xxx]
    Only fix links with attribute rel=xxx

-FixupAllLinks YES
    Attempt to fix all links (not only those that are marked with -LinksMarker.

-PathMappingsFile file
    Read the relocation mappings from file (in dictionary format).

-PathMappings '{"path"="another_path";}'
    Use the specified path mappings.

-BuildRelocationFileForDir dir
    Build a relocation file for the directory dir and save it into dir/table.htmlink. This option is special and prevents any other processing by the linker.

SEE ALSO
autogsdoc(1), GNUstep(7).

AUTHORS
HTMLLinker was written by Nicola Pero <nicola@brainstorm.co.uk>.

This manual page was added by Yavor Doganov <yavor@gnu.org>.

COPYRIGHT
Copyright (C) 2009 Free Software Foundation, Inc.

Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.